Bug 1430370 - add 'poolmetadatasize' to thinpool in gdeploy config file
Summary: add 'poolmetadatasize' to thinpool in gdeploy config file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.13
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.15
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-03-08 13:18 UTC by SATHEESARAN
Modified: 2017-04-21 09:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:42:51 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73759 master MERGED Revert "gdeploy: remove pool metadata size from gdeploy config." 2017-03-08 16:01:54 UTC
oVirt gerrit 73780 ovirt-4.1 MERGED Revert "gdeploy: remove pool metadata size from gdeploy config." 2017-03-08 16:21:42 UTC

Description SATHEESARAN 2017-03-08 13:18:21 UTC
Description of problem:
-----------------------
'poolmetadatasize' is removed from thinpool creation section of [lv] thinking that gdeploy is computing it. Effect is that this attribute is removed as of this bug - https://bugzilla.redhat.com/show_bug.cgi?id=1426494.

But now, Sac ( gdeploy dev ) confirmed that gdeploy doesn't computes poolmetadatasize. This attribute should be added to thinpool creation.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.13

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
Install Hosted Engine with gluster

Actual results:
---------------
poolmetadatasize not available with generated config file

Expected results:
-----------------
'poolmetadatasize' should be available with generated config file

Additional info:
----------------
'poolmetadatasize=16GB' should be added to thinpool

Comment 1 SATHEESARAN 2017-03-20 06:38:38 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.15

poolmetadatasize option is set to 16GB


Note You need to log in before you can comment on or make changes to this bug.